Attribute VB_Name = "declares"
Option Explicit

Global vrs$

Global num_aspects%, num_planets%

'File Open/Save Dialog Flags
Global Const OFN_READONLY = &H1&
Global Const OFN_OVERWRITEPROMPT = &H2&
Global Const OFN_HIDEREADONLY = &H4&
Global Const OFN_NOCHANGEDIR = &H8&
Global Const OFN_SHOWHELP = &H10&
Global Const OFN_NOVALIDATE = &H100&
Global Const OFN_ALLOWMULTISELECT = &H200&
Global Const OFN_EXTENSIONDIFFERENT = &H400&
Global Const OFN_PATHMUSTEXIST = &H800&
Global Const OFN_FILEMUSTEXIST = &H1000&
Global Const OFN_CREATEPROMPT = &H2000&
Global Const OFN_SHAREAWARE = &H4000&
Global Const OFN_NOREADONLYRETURN = &H8000&


' Swiss Ephemeris Release 1.60  9-jan-2000

' planet and body numbers (parameter ipl) for swe_calc()
' Const SE_SUN As Integer = 0
' Const SE_MOON As Integer = 1
' Const SE_MERCURY As Integer = 2
' Const SE_VENUS As Integer = 3
' Const SE_MARS As Integer = 4
' Const SE_JUPITER As Integer = 5
' Const SE_SATURN As Integer = 6
' Const SE_URANUS As Integer = 7
' Const SE_NEPTUNE As Integer = 8
' Const SE_PLUTO   As Integer = 9
' Const SE_MEAN_NODE As Integer = 10
' Const SE_TRUE_NODE As Integer = 11
' Const SE_MEAN_APOG As Integer = 12
' Const SE_OSCU_APOG As Integer = 13
' Const SE_EARTH     As Integer = 14
' Const SE_CHIRON    As Integer = 15
' Const SE_PHOLUS    As Integer = 16
' Const SE_CERES     As Integer = 17
' Const SE_PALLAS    As Integer = 18
' Const SE_JUNO      As Integer = 19
' Const SE_VESTA     As Integer = 20

Public Const SE_ERIS     As Integer = 21
Public Const SE_SEDNA  As Integer = 22


' values for gregflag in swe_julday() and swe_revjul()
' Const SE_JUL_CAL As Integer = 0
' Const SE_GREG_CAL As Integer = 1


' Declarations for Visual Basic 5.0
' The DLL file must exist in the same directory as the VB executable, or in a system
' directory where it can be found at runtime

Declare Sub swe_set_ephe_path Lib "swedll32.dll" _
    Alias "_swe_set_ephe_path@4" (ByVal Path As String)

' x must be first of six array elements
' serr must be able to hold 256 bytes
Declare Function swe_calc Lib "swedll32.dll" _
    Alias "_swe_calc@24" (ByVal tjd As Double, ByVal ipl As Long, _
    ByVal iflag As Long, ByRef x As Double, ByVal serr As String) As Long

Declare Function swe_deltat Lib "swedll32.dll" _
        Alias "_swe_deltat@8" (ByVal JD As Double) As Double

Declare Sub swe_get_planet_name Lib "swedll32.dll" _
    Alias "_swe_get_planet_name@8" (ByVal ipl As Long, ByVal pname As String)

Declare Sub swe_revjul Lib "swedll32.dll" _
        Alias "_swe_revjul@28" ( _
          ByVal tjd As Double, _
          ByVal gregflg As Long, _
          ByRef Year As Long, _
          ByRef Month As Long, _
          ByRef Day As Long, _
          ByRef hour As Double _
        )

Declare Function swe_set_sid_mode Lib "swedll32.dll" _
        Alias "_swe_set_sid_mode@20" ( _
          ByVal sid_mode As Long, _
          ByVal t0 As Double, _
          ByVal ayan_t0 As Double _
        ) As Long



