Attribute VB_Name = "Module0"
Option Explicit

Function Crunch(x)
    If x >= 0 Then
        Crunch = x - Int(x / 360) * 360
    Else
        Crunch = 360 + (x - ((1 + Int(x / 360)) * 360))
    End If
End Function

Sub INI_SaveSettings()
    Dim x%
    
    Close #1
    Open App.Path & "\SE_Aspectarian.ini" For Output As #1
    
    Print #1, "[SE_Aspectarian] - Do NOT change the order of these variables."
    
    Print #1, "start_date=" & SE_Aspectarian!txtStartdate.Text
    Print #1, "end_date=" & SE_Aspectarian!txtEndDate.Text
    Print #1, "natal_date=" & SE_Aspectarian!txtNatalDate.Text
    Print #1, "natal_time=" & SE_Aspectarian!txtNatalTime.Text
    Print #1, "zodiac_degree=" & SE_Aspectarian!txtZodiacDegree.Text
    Print #1, "time_zone=" & SE_Aspectarian!txtTZ.Text
    
    For x% = 0 To num_aspects%
        Print #1, "chkAspects(" & x% & ")=" & SE_Aspectarian!chkAspects(x%).Value
    Next x%

    For x% = 0 To num_planets%
        Print #1, "chkP1Planets(" & x% & ")=" & SE_Aspectarian!chkP1Planets(x%).Value
    Next x%

    For x% = 0 To num_planets%
        Print #1, "chkP2Planets(" & x% & ")=" & SE_Aspectarian!chkP2Planets(x%).Value
    Next x%
    
    Print #1, "chkDateFormatting=" & SE_Aspectarian!chkUse_ddmmyyyy_formatting.Value

    Close #1
End Sub


Sub INI_GetSettings()
    Dim t$, Fetch As String, x%

    If MyiDate% = 0 Then
        SE_Aspectarian!txtNatalDate.Text = "09/22/1949"
    ElseIf MyiDate% = 1 Then
        SE_Aspectarian!txtNatalDate.Text = "22/09/1949"
    ElseIf MyiDate% = 2 Then
        SE_Aspectarian!txtNatalDate.Text = "1949/09/22"
    End If
    
    SE_Aspectarian!txtNatalTime.Text = "16.43"
    SE_Aspectarian!txtZodiacDegree.Text = "179.331227"
    SE_Aspectarian!txtTZ.Text = "8"
    
    Close #1
    
    On Error GoTo gis1
    Open App.Path & "\SE_Aspectarian.ini" For Input As #1
    
    Do While Not EOF(1)
        Line Input #1, t$: Fetch = Right$(t$, Len(t$) - InStr(t$, "="))
        
        If Left$(t$, 11) = "start_date=" Then
            If Fetch <> "" Then SE_Aspectarian!txtStartdate.Text = Fetch
        End If
        
        If Left$(t$, 9) = "end_date=" Then
            If Fetch <> "" Then SE_Aspectarian!txtEndDate.Text = Fetch
        End If
        
        If Left$(t$, 10) = "natal_date" Then
            If Fetch <> "" Then SE_Aspectarian!txtNatalDate.Text = Fetch
        End If
        
        If Left$(t$, 10) = "natal_time" Then
            If Fetch <> "" Then SE_Aspectarian!txtNatalTime.Text = Fetch
        End If
        
        If Left$(t$, 13) = "zodiac_degree" Then
            If Fetch <> "" Then SE_Aspectarian!txtZodiacDegree.Text = Fetch
        End If
        
        If Left$(t$, 9) = "time_zone" Then
            If Fetch <> "" Then SE_Aspectarian!txtTZ.Text = Fetch
        End If
    
        If Left$(t$, 11) = "chkAspects(" Then
            For x% = 0 To num_aspects%
                If x% < 10 Then
                    If Left$(t$, 14) = "chkAspects(" & x% & ")=" Then SE_Aspectarian!chkAspects(x%).Value = Val(Fetch)
                Else
                    If Left$(t$, 15) = "chkAspects(" & x% & ")=" Then SE_Aspectarian!chkAspects(x%).Value = Val(Fetch)
                End If
            Next x%
        End If
    
        If Left$(t$, 13) = "chkP1Planets(" Then
            For x% = 0 To num_planets%
                If x% < 10 Then
                    If Left$(t$, 16) = "chkP1Planets(" & x% & ")=" Then SE_Aspectarian!chkP1Planets(x%).Value = Val(Fetch)
                Else
                    If Left$(t$, 17) = "chkP1Planets(" & x% & ")=" Then SE_Aspectarian!chkP1Planets(x%).Value = Val(Fetch)
                End If
            Next x%
        End If
    
        If Left$(t$, 13) = "chkP2Planets(" Then
            For x% = 0 To num_planets%
                If x% < 10 Then
                    If Left$(t$, 16) = "chkP2Planets(" & x% & ")=" Then SE_Aspectarian!chkP2Planets(x%).Value = Val(Fetch)
                Else
                    If Left$(t$, 17) = "chkP2Planets(" & x% & ")=" Then SE_Aspectarian!chkP2Planets(x%).Value = Val(Fetch)
                End If
            Next x%
        End If
    
        If Left$(t$, 18) = "chkDateFormatting=" Then
            SE_Aspectarian!chkUse_ddmmyyyy_formatting.Value = Val(Fetch)
        End If
    Loop

gis2:
    Close #1
        
    Exit Sub

gis1:
    Resume gis2
End Sub


